%undefine __libtoolize
%define objprelink 1

Name: kavi2svcd
Version: 0.5.4
Release: alt1
Summary: Creater Video CDs from avi-files
License: GPL
Group: Video
URL: http://www.cornelinux.de/linux/kavi2svcd/index-english.html
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Wed Nov 20 2002
BuildRequires: XFree86-devel-static XFree86-libs flex fontconfig freetype2 
BuildRequires: gcc-c++ glibc-devel-static kdelibs-devel libGLU libXft libart_lgpl-devel 
BuildRequires: libarts-devel libexpat libjpeg-devel liblcms libmng libpng-devel 
BuildRequires: libqt3-devel libstdc++-devel libxslt xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Creater Video CDs from avi-files

%prep
%setup -q

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Multimedia/Video %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang 
%doc README
%_datadir/applnk/Applications/*.desktop
%dir %_datadir/doc/HTML/de/%name
%_datadir/doc/HTML/de/%name/*
%dir %_datadir/doc/HTML/en/%name
%_datadir/doc/HTML/en/%name/*
%_bindir/*
%_menudir/%name
%_iconsdir/*

%changelog
* Wed Jan 29 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.4-alt1
- 0.5.4
- new requires and buildrequires

* Wed Nov 20 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.1-alt1
- 0.5.1

- specfile cleanup
